# Class SpellingContext

java.lang.Object
org.eclipse.ui.texteditor.spelling.SpellingContext

public class SpellingContext extends Object
A spelling context allows a `ISpellingEngine` to retrieve information about the spelling check it has to perform.

This class is not intended to be subclassed by clients. The amount of information provided in this context may grow over time.

Since:
  3.1
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`SpellingContext()`
Creates a new, un-initialized spelling context.

## Method Summary

Modifier and Type
Method
Description
`IContentType`
`getContentType()`
Returns the content type of the document.
`void`
`setContentType(IContentType contentType)`
Sets the content type of the document.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpellingContext

public SpellingContext()
Creates a new, un-initialized spelling context.

## Method Details

### setContentType

public void setContentType(IContentType contentType)
Sets the content type of the document.

Parameters:
  `contentType` - the content type of the document or `null` if unknown

### getContentType

public IContentType getContentType()
Returns the content type of the document.

Returns:
  the content type of the document or `null` if unknown